Name:           omniORBpy
Version:        4.2.0
Release:        3%{?dist}
Summary:        CORBA ORB for Python

License:        LGPLv2+
URL:            http://omniorb.sourceforge.net/
Source0:        http://sourceforge.net/projects/omniorb/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2

# Fix FSF addresses
# find . -type f -print0 | xargs -0 sed -i 's|59 Temple Place\s*. Suite 330,|51 Franklin Street, Fifth Floor,|'
# find . -type f -print0 | xargs -0 sed -i 's|02111-1307|02110-1301|'
Patch0:         omniORBpy_fsfaddr.patch

BuildRequires:  omniORB-devel
BuildRequires:  python2-devel
BuildRequires:  openssl-devel

%description
omniORBpy is a robust high-performance CORBA ORB for Python.


%package -n python-omniORB
Summary:        CORBA ORB for Python
BuildArch:      noarch
Requires:       %{name}-libs = %{version}-%{release}
# For %%{python_sitelib}/omniidl_be
Requires:       omniORB

%description -n python-omniORB
Robust high-performance CORBA ORB for Python.


%package -n omniORBpy-libs
Summary:        Libraries for the CORBA ORB for Python
Requires:       python-omniORB = %{version}-%{release}

%description -n omniORBpy-libs
Libraries for the CORBA ORB for Python.


%package -n omniORBpy-devel
Summary:        C++ API for the CORBA ORB for Python
Requires:       python-omniORB = %{version}-%{release}
Requires:       omniORB-devel
BuildArch:      noarch

%description -n omniORBpy-devel
C++ API for the CORBA ORB for Python.


%prep
%setup -q
%patch0 -p1


%build
%configure --with-omniorb=%{_prefix} --with-openssl=%{_prefix}
make %{?_smp_mflags}


%install
%make_install

# Remove files which conflict with pyorbit, their sole purpose is to to export the modules to the global namespace via
# sys.modules["<Module>"] = omniORB.<Module>
rm -f %{buildroot}%{python_sitelib}/CORBA.py*
rm -f %{buildroot}%{python_sitelib}/PortableServer.py*

# Ensure shared libraries are executable, otherwise they are not stripped
chmod +x %{buildroot}%{python_sitearch}/*.so.*

# Fix directory permissions
find %{buildroot}%{python_sitelib} -type d -exec chmod 755 {} \;

 
%files -n python-omniORB
%doc README.Python README.txt ReleaseNotes.txt update.log COPYING.LIB
%{python_sitelib}/CosNaming*
%{python_sitelib}/PortableServer__POA.py*
%{python_sitelib}/omniORB.pth
%{python_sitelib}/omniORB/
%{python_sitelib}/omniidl_be/python.py*
# %%{python_sitelib}/omniidl_be is in omniORB, __init__ is an empty file
%exclude %{python_sitelib}/omniidl_be/__init__.py*

%files -n omniORBpy-libs
%{python_sitearch}/*_omni*.so*

%files -n omniORBpy-devel
# %%{_includedir}/omniORB4 is in omniORB-devel
%{_includedir}/omniORB4/*
%{_includedir}/omniORBpy.h


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 08 2014 Sandro Mani <manisandro@gmail.com> - 4.2.0-1
- Update to 4.2.0

* Fri Mar 14 2014 Sandro Mani <manisandro@gmail.com> - 3.7-5
- Don't own %%{_includedir}/omniORB4
- Fix FSF addresses
- Fix directory permissions
- Ensure shared libraries are executable

* Wed Feb 19 2014 Sandro Mani <manisandro@gmail.com> - 3.7-4
- Pass --with-openssl, add openssl-devel BR
- Use versioned python BR
- Remove conflicting files

* Tue Feb 18 2014 Sandro Mani <manisandro@gmail.com> - 3.7-3
- Rework subpackages

* Mon Feb 17 2014 Sandro Mani <manisandro@gmail.com> - 3.7-2
- Fix package name
- Merge libs into python subpackage

* Fri Oct 04 2013 Sandro Mani <manisandro@gmail.com> - 3.7-1
- Initial package
